
Foreman - Feature #5760

Specify VM hardware version for new virtual hosts

05/16/2014 03:19 PM - Matt Chesler

Status: Closed   

Priority: Normal   

Assignee:    

Category: Compute resources   

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1531

  

Description

Creating a new VMware machine via Foreman appears to result in a VM with the latest hardware revision (vmx-9 for vSphere 5.1,

vmx-10 for vSphere 5.5).  We are running vSphere 5.5, but we intentionally maintain our VMs at vmx-9.  We need the ability to

specify VM hardware version to prevent VMs from getting the "default"

Related issues:

Related to Foreman - Feature #1946: Addition VMWare options required for VM c... Resolved 11/15/2012

Blocked by Foreman - Bug #6670: Update fog to 1.23 Closed 07/17/2014

Associated revisions

Revision 26975bf5 - 07/23/2014 04:38 AM - Michael Moll 

fixes #5760 - selectable VMware virtual HW version

History

#1 - 05/16/2014 03:21 PM - Dominic Cleal

- Category set to Compute resources

#2 - 05/29/2014 01:22 PM - Anonymous

fog changeset: https://github.com/fog/fog/commit/2041c0fd5d8c0f38a4e25a3aafa8bf46565105c5

#3 - 06/23/2014 07:23 AM - Dominic Cleal

- Status changed from New to Ready For Testing

- Target version set to 1.8.1

- Assignee set to Anonymous

https://github.com/theforeman/foreman/pull/1531

#4 - 07/07/2014 07:21 AM - Anonymous

- Target version changed from 1.8.1 to 1.8.0

#5 - 07/17/2014 11:18 AM - Anonymous

- Blocked by Bug #6670: Update fog to 1.23 added

#6 - 07/17/2014 06:30 PM - Anonymous

- Related to Feature #1946: Addition VMWare options required for VM creation added

#7 - 07/22/2014 08:09 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/1531 added

#8 - 07/23/2014 04:37 AM - Dominic Cleal
https://github.com/fog/fog/commit/2041c0fd5d8c0f38a4e25a3aafa8bf46565105c5
https://github.com/theforeman/foreman/pull/1531


- translation missing: en.field_release set to 10

#9 - 07/23/2014 05:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 26975bf5a4ec242a291d705bddfa14525b8568bb.
